sysdecode_sockopt_name(3)

NAME
sysdecode_sockopt_name - lookup name of socket option

LIBRARY
libsysdecode

SYNOPSIS
#include <sysdecode.h>
const char *
sysdecode_sockopt_name(int level, int optname);

DESCRIPTION
The sysdecode_sockopt_name() function returns a text description of the socket option name passed in the optname argument to getsockopt(2). sysdecode_sockopt_name() takes the socket option level as well as the option name to uniquely identify the option.

SEE ALSO
sysdecode_sockopt_level(3)

BUGS
Socket option levels and names are protocol-specific. Both sysdecode_sockopt_level() and sysdecode_sockopt_name() should possibly accept the protocol family as an additional argument.